commit:     6fca532ec904ad0fab545ae70794432e9990d533
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 27 08:24:39 2023 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Jun 27 08:24:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fca532e

app-admin/hcloud: version bump to 1.36.0

Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-admin/hcloud/Manifest             |  1 +
 app-admin/hcloud/hcloud-1.36.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/app-admin/hcloud/Manifest b/app-admin/hcloud/Manifest
index bfaeadb1b80b..6b6622a21bf5 100644
--- a/app-admin/hcloud/Manifest
+++ b/app-admin/hcloud/Manifest
@@ -1,2 +1,3 @@
 DIST hcloud-1.31.1.tar.xz 1735560 BLAKE2B 
66b2deaefbf61a72bf6a9e004c29d1198e5cfd40956e9936d5db27903aff5f8151c230da61b33ce4231885613d53ba5c96f99fb10df03fdcc241ec32fa465de5
 SHA512 
b61683ea54455be1db0ae196615642d0247e56ca51f3848847fba09124a45606aea2495f4408694acc5e819d9dc79ffdb2b9ce4e85aade7dea0335be94461066
 DIST hcloud-1.34.0.tar.xz 1814084 BLAKE2B 
3a747fee3a245f5b5f94d340b23df4c6c6b41e8a7bf5f356f3f7369dcefc308df575ba3b216010db478e629588ccfdc41b0666b2f5c7ae10753b294188619feb
 SHA512 
6e0898de97218ae48eaf46ab6d8c1beabb1fdc627e9f3c512cec80e81d773842768c2f57df02d2222994142748f301a43ebe05b79d3f1a080261bba92d1a9ad2
+DIST hcloud-1.36.0.tar.xz 1819508 BLAKE2B 
98666a7f27f91c75bda6a62c944824dc419312590e29839bb826d3e21bdc41bdc89902522148e42c4211bf154517f4e825fac77ae0de41a3c1e0c69bce50c2f3
 SHA512 
3981182acd9e971b06c68b932be204fbca31e8b8651bbd0ace04926d9435cafd8da907cc13af4e13adf768ab11b0403cb35384cb42e8b93e299bd48413f8defe

diff --git a/app-admin/hcloud/hcloud-1.36.0.ebuild 
b/app-admin/hcloud/hcloud-1.36.0.ebuild
new file mode 100644
index 000000000000..c7dcd8ef353e
--- /dev/null
+++ b/app-admin/hcloud/hcloud-1.36.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A command-line interface for Hetzner Cloud"
+HOMEPAGE="https://github.com/hetznercloud/cli";
+SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE=""
+DEPEND=">=dev-lang/go-1.18:="
+RESTRICT="strip"
+QA_FLAGS_IGNORED=".*"
+
+src_compile() {
+       go build -mod vendor -o ${PN} -ldflags "-w -X 
github.com/hetznercloud/cli/internal/version.Version=${PV}-gentoo" ./cmd/${PN} 
|| die "build failed"
+}
+
+src_test() {
+       # For upstream a simple test is run 'hcloud version'
+       ./hcloud version
+       if [[ $? -ne 0 ]]
+       then
+               die "Test failed"
+       fi
+}
+
+src_install() {
+       dobin ${PN}
+}

Reply via email to